---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodejs-worker-dpl
spec:
  selector:
    matchLabels:
      app: nodejs-worker
      priority: normal
  template:
    metadata:
      labels:
        app: nodejs-worker
        priority: normal
    spec:
      containers:
        - name: nodejs-worker
          image: liscioapps/sphere-backend:latest
          workingDir: /usr/crowd/app/backend
          command: ['npm']
          args: ['run', 'start:nodejs-worker']
          envFrom:
            - configMapRef:
                name: backend-config
          env:
            - name: SERVICE
              value: nodejs-worker

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodejs-worker-normal-dpl
spec:
  replicas: 10
  selector:
    matchLabels:
      app: nodejs-worker
      priority: normal
  template:
    metadata:
      labels:
        app: nodejs-worker
        priority: normal
    spec:
      containers:
        - name: nodejs-worker-normal
          image: liscioapps/sphere-backend:latest
          workingDir: /usr/crowd/app/backend
          command: ['npm']
          args: ['run', 'start:nodejs-worker']
          envFrom:
            - configMapRef:
                name: backend-config
          env:
            - name: SERVICE
              value: nodejs-worker
            - name: QUEUE_PRIORITY_LEVEL
              value: normal


---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodejs-worker-system-dpl
spec:
  selector:
    matchLabels:
      app: nodejs-worker
      priority: system
  template:
    metadata:
      labels:
        app: nodejs-worker
        priority: system
    spec:
      containers:
        - name: nodejs-worker-system
          image: liscioapps/sphere-backend:latest
          workingDir: /usr/crowd/app/backend
          command: ['npm']
          args: ['run', 'start:nodejs-worker']
          envFrom:
            - configMapRef:
                name: backend-config
          env:
            - name: SERVICE
              value: nodejs-worker
            - name: QUEUE_PRIORITY_LEVEL
              value: system

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodejs-worker-high-dpl
spec:
  selector:
    matchLabels:
      app: nodejs-worker
      priority: high
  template:
    metadata:
      labels:
        app: nodejs-worker
        priority: high
    spec:
      containers:
        - name: nodejs-worker-high
          image: liscioapps/sphere-backend:latest
          workingDir: /usr/crowd/app/backend
          command: ['npm']
          args: ['run', 'start:nodejs-worker']
          envFrom:
            - configMapRef:
                name: backend-config
          env:
            - name: SERVICE
              value: nodejs-worker
            - name: QUEUE_PRIORITY_LEVEL
              value: high

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodejs-worker-urgent-dpl
spec:
  selector:
    matchLabels:
      app: nodejs-worker
      priority: urgent
  template:
    metadata:
      labels:
        app: nodejs-worker
        priority: urgent
    spec:
      containers:
        - name: nodejs-worker-urgent
          image: liscioapps/sphere-backend:latest
          workingDir: /usr/crowd/app/backend
          command: ['npm']
          args: ['run', 'start:nodejs-worker']
          envFrom:
            - configMapRef:
                name: backend-config
          env:
            - name: SERVICE
              value: nodejs-worker
            - name: QUEUE_PRIORITY_LEVEL
              value: urgent